## Convert Object to Function

## Usage

    as.function(x, ...)

    as.function.default(l, envir = sys.frame(sys.parent()))

## Arguments

`x` | object to convert
`...` | additional arguments, depending on object
`l` | a list
`envir` | environment in which the function should be defined

## Description

`as.function` is a generic function which is used to convert objects to functions.

`as.function.default` works on a list `x`, which should contain the concatenation of a formal argument list and an expression or an object of mode `"call"` which will become the function body. The function will be defined in a specified environment, by default that of the caller.

## Value

The desired function.

## Author(s)

Peter Dalgaard

## See Also

`function`; `alist(.)` which is handy for the construction of argument lists, etc.

## Examples

    as.function(alist(a=,b=2,a+b))
    as.function(alist(a=,b=2,a+b))(3)

[Package Contents]